GAPI:无法验证用户身份.永久修复PHP

我试图从它有时工作的GAPI中获取内容,但有时它会抛出此错误:

Exception GAPI: Failed to authenticate user. Error:
“07000 “

我浏览了所有的答案,但找不到解决方案.
我之前试过使用这两个链接:

https://accounts.google.com/DisplayUnlockCaptcha

https://www.google.com/settings/security/lesssecureapps

它曾经工作但不再工作,有人可以帮忙吗?

Failed to authenticate user

表示您的身份验证有问题.

自2009年以来,GAPI尚未开展工作.它似乎也使用了在April 20 2015停止/关闭的客户端登录.您无法再使用客户端登录Google Analytics API,您需要切换到Oauth2或服务帐户.因此,要么该项目的作者需要修复他的代码,它似乎是一个开源项目,所以你可以为他修复它.

在我看来Google PHP client library可能是一个更好的解决方案.

教程:

>我的教程Google Analytics API php Oauth2
>我的教程Google Analytics api php service account
>谷歌教程embedded api

https://stackoverflow.com/questions/30474122/gapi-failed-to-authenticate-user-permanent-fix-php

转载注明原文:GAPI:无法验证用户身份.永久修复PHP